std::mem_fun_t< _Ret, _Tp > Class Template Reference
Inheritance diagram for std::mem_fun_t< _Ret, _Tp >:
[legend]

## Public Types

typedef _Tp * | argument_type
typedef _Ret | result_type

## Public Member Functions

| mem_fun_t (_Ret(_Tp::*__pf)())
_Ret | operator() (_Tp *__p) const

## Detailed Description

### template<typename _Ret, typename _Tp>
class std::mem_fun_t< _Ret, _Tp >

One of the adaptors for member pointers.

Definition at line 1232 of file stl_function.h.

## Member Typedef Documentation

## argument_type

typedef _Tp * std::unary_function< _Tp * , _Ret >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 120 of file stl_function.h.

## result_type

typedef _Ret std::unary_function< _Tp * , _Ret >::result_type

inherited

`result_type` is the return type

Definition at line 123 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h